Contents

TaskInfo 7.2.0

TaskInfo is an utility that combines features of Task Manager and System Information.

It visually monitors different types of system information for Windows 95/98/ME/NT4.x/2000/XP in real time. Information is presented in text and graphical form.

For more details please choose one of two ways of further reading:

1. Click here to open screenshot of TaskInfo main window, and then click at desired place on it to get its detailed description.

2. Select a section you want to read from the list below:

General information:

What is TaskInfo | How to get the latest version
Installation/Uninstallation | Registration
Reporting problems | Disclaimer
Some links |

Program description:

Main window | Main menu
Processes | System info
Current process info | Command line

Tip: you can use mouse wheel to scroll information in all panes of the main window of the program.

Copyright (C) 1998-2006 by Igor Arsenin. All rights reserved.

E-Mail: taskinfo@iarsn.com

WWW: http://www.iarsn.com


Installation

TaskInfo Installation/Uninstallation

Follow these instructions to install TaskInfo on your computer:

1. Download installation archive or self extracting installer of the latest version of TaskInfo.

2. If you download ZIP archive of installer then extract it using WinZip to a temporary folder on your disk (for example ‘C:\Temp’ or any other).

3. Run Installer (‘tskinf60.exe’) and follow on-screen instructions.

Setup program will copy all needed files to destination folder that you want, create menu entries in the system ‘Start’ menu and update system information necessary for normal functioning of TaskInfo. You may remove extracted setup files from temporary folder after successful installation of TaskInfo.

Important: you must have administrative rights to install TaskInfo on Windows NT/2000/XP!

To uninstall (remove) TaskInfo from your computer:

1. Open the control panel via system ‘Start’ menu:

Start/Settings/Control Panel/Add Remove Programs

2. Find ‘TaskInfo’ item in the list of installed software and double-click on it.

See also: registration, disclaimer


TaskInfo Overview

Show main window

TaskInfo is an utility that combines features of Task manager and System information. It visually monitors different types of system information for Windows 95/98/ME/NT4.x/2000/XP in real time.

TaskInfo shows detailed information about system and all processes and threads (including Windows9x ring0 VxD threads) running on it. Please select type of information to read its description:

System information | OS Information
Process information | CPU information

Information is presented in text and graphical form. For more details please read description of TaskInfo main window.

TaskInfo also allows you to:

· Run new processes and close already running ones

· Force termination of badly behaving processes

· Change process priority

· Reboot, restart or shutdown your system

All this can be performed from the main menu and command line.

Important: read the disclaimer before using TaskInfo.


Command line

TaskInfo supports a number of commands in its command line. To run TaskInfo from command line, use command prompt from the system ‘Start’ menu (Start/Programs/MS-DOS prompt or Start/Run). You may need to type full path to a folder on your disk where TaskInfo is installed (don’t forget about quotas if path contains spaces), for example:

>"C:\Program Files\TaskInfo\taskinfo.exe" [command]

where [command] is name of a command (it may be followed by a process name and parameters). If TaskInfo is launched from command line and it recognizes name of a command, this command is executed and TaskInfo will exit immediately after (it won’t show its main window in this case).

Tip: you can use it in ‘telnet’ session or ‘rconsole’ window to perform command-line commands from other (remote) computer via network.

Use ‘s’ option for silent command execution (no message boxes will be shown), for example:

>TaskInfo s reboot

TaskInfo recognizes the following command-line commands:

Process Commands

System commands

Tip: you can see description of command-line commands using Help menu, or by running TaskInfo from the command line with the ‘/?’ parameter:

>TaskInfo /?


How to get TaskInfo

How to get the latest version of TaskInfo

Tip: use Tools menu to know if your version is up to date. Please visit download page at:

http://www.iarsn.com/download.html

Download and install the latest version of TaskInfo using instructions on the page.

Important: be sure that you have the latest version of TaskInfo before sending letters with your questions, suggestions and bug reports. Your problem may be already resolved in the latest release of TaskInfo.

See also: installation, registration, reporting problems


Disclaimer

TaskInfo Disclaimer

THE PROGRAM IS PROVIDED TO YOU "AS IS," WITHOUT WARRANTY. THERE IS NO WARRANTY FOR THE PROGRAM, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL I, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.


Registration

TaskInfo Registration

TaskInfo is commercial product. You may evaluate it for a period of one month from the date of its original installation and use. After the evaluation period has elapsed, you must purchase it.

There are several methods of purchase:

  • First method is Registration from TaskInfo Installer. After license screen answer "purchase" to popup dialog. You will see eSellerate Wizard Dialog. Follow this dialog entering needed information and your copy of TaskInfo will be registered just after installation will ends. In addition you will receive email with registration information for future reference. You need established Internet connection to use this method of purchase.

  • Second Method is similar to first. You can start purchase process clicking "Purchase directly from TaskInfo" in Registration Menu. You will see eSellerate Wizard Dialog. Follow this dialog entering needed information and your copy of TaskInfo will be registered in a minute. In addition you will receive email with registration information for future reference. You need established Internet connection to use this method of purchase.

  • And Last method is to visit Registration Page on Iarsn Site to purchase the program online: http://www.iarsn.com/register.html. You will receive email with registration information. It will be needed to enter Registration Name and Registration Code in "Set Registration Information" Dialog. See Registration Menu for additional information.

Registration enables the following features and commands:

  1. You will never see Registration Reminder Dialog.

  2. You can upgrade during One Year to new major versions for free.

Use commands in the ‘Registration ’ menu.

Note: Site license and multiple license parks with discount prices are available, please visit the registration page for more details: http://www.iarsn.com/register.html

See also: disclaimer


Reporting problems

If you encounter problems with the use of TaskInfo, or you have any questions or suggestions about how to improve the program, please send a letter via E-Mail to address:

taskinfo@iarsn.com

Important: be sure that you have the latest version of TaskInfo before sending letters with your questions, suggestions and bug reports. Your problem may be already resolved in the latest release of TaskInfo.

Please read the disclaimer before reporting problems. It is also recommended to visit some sites where you can find answers to many questions about Windows, software and hardware development etc.

Tip: most problems can be resolved only if you include information about your system in your letter. Use ‘Edit/Copy’ command in the main menu to copy current system information to clipboard, paste it in any text editor for example; use ‘Edit/Paste’ command in its main menu), save to a text file (typically ‘File/Save’ command) then attach it to your letter.


Links

Important information about invalid CPU usage shown by some applications (including standard Windows system monitor):

Article in the Microsoft knowledge base

There is a list of links to some sites with a lot of useful information. It is recommended that you visit these sites before asking general questions about Windows, CPU, software and hardware development etc.

http://msdn.microsoft.com/default.asp

http://codeguru.earthweb.com

http://www.sysinternals.com

http://www.osr.com

http://www.numega.com

http://developer.intel.com/sites/developer

http://www.amd.com/devconn/index.html

http://www.ibm.com/developer

http://www.tweakfiles.com

http://www.sysinternals.com


Main window

TaskInfo main window

Show main window

The main window of TaskInfo consists of the following parts (from top to bottom and from left to right):

Title bar | (topmost)
Main menu | (at the top)
Toolbar | (below menu by default)
Graph Bar | (below toolbar by default)
Process pane | (at the left)
System info pane | (at the right)
Current process info pane | (at the right bottom)
Status bar | (at the bottom)

Tip: you can use mouse wheel to scroll information in all panes of the main window of the program. Use ‘Tab’ with ‘Shift’ and ‘Ctrl’ keys to switch between panes in the main window. Use ESC to minimize TaskInfo Window. See also View menu for details how to show/hide toolbar and graphbar.


Image. TaskInfo main window

TaskInfo main window

Click at desired place on the image to get its detailed description:


Title bar

Title bar is located at the top of TaskInfo main window. It shows current CPU usage (in percents) and the name of program. Title bar contains standard system buttons at the right of it that allow to minimize/maximize main window and close the program.

Tip: CPU usage can be shown on animated SysTray icon of TaskInfo, see Configuration menu


Main menu

TaskInfo main menu

TaskInfo main menu allows you to perform the following groups of operations:

File | Save current info to file, current process commands (close/change priority etc.), program exit etc.
Edit | Copy current info to clipboard
View | Show/hide threads etc
Configuration | Program settings
Tools | Tools (system shutdown/restart, free memory etc.)
Automation | Configure automatic actions that TaskInfo will perform.
Help | Online help and other information

See also: local menu, SysTray menu


Toolbar

Toolbar is located at the top of TaskInfo main window by default. It contains some icons that perform some most popular commands:

Note that you should select a process in the process pane to make some icons active. The icons on the toolbar from the left to right are:

Launch a new process. Calls standard system ‘Run’ dialog to start execution of any process.

Suspend/Resume Selected Process/

Close Selected Process. You will be asked about saving of all unsaved data in this process

Force termination of execution of current process. All unsaved data in this process (and possibly in others too) will be lost!

Shows standard ‘File properties’ dialog for current process (if there is an executable file that belongs to process).

Search Processes that Opened Files and DLLs

Pause/Resume Panes Refresh

Refresh Panes Now

Shows this help documentation.

Note: the same commands are in the File and Help menus. See also local menu. You can disable toolbar by closing its window and in the View menu.


Graphbar

Show main window

Graphbar is located at the top of TaskInfo main window by default. It shows various types of system information (from the system info pane) in the graphic form. Graphbar is refreshed with the same frequency as all information in the main window. Show sample

Move mouse cursor over item on graphbar and hold it for a while. A tool tip will be shown with description of values shown in the item. Show sample

You can customize what information should be shown on the graphbar, select color scheme and change refresh interval in the Configuration menu. You can also drag the graphbar with mouse and place it where you want, even separate it from the program’s main window and change its size.

Press right mouse button when mouse cursor is over graphbar, local menu with the following commands will be shown:

Clear all graphs history | reset all graphbar sensors to their initial state and clear their history (the same as on start of TaskInfo)
Clear current graphs history | reset only current sensor of graphbar and clear its history
Graph sensors configuration | open graphbar settings dialog
Graph color scheme configuration | select color scheme of graphbar sensors

Note: you can disable graphbar by closing its window and in the View menu.

Tip: you can minimize the main window while graphbar is separated, and you can move graphbar to second monitor if you want. Double-click at graphbar window title to dock it back to the main window.


Processes

Process pane

Show main window

The main pane at the left of the main window of TaskInfo shows a list of all processes that are currently running in the system. Show sample

Note that not only real processes are listed here; some working threads are not owned by any real process and correspond to pseudo processes.

Tip: You can expand a sub list of process’ threads by selecting name of desired process (click on it) and pressing ‘Enter’ key on keyboard or by double-clicking at ‘plus’ (+) character at the left of process’ name. Show sample

Each column of this pane shows the following information about a process or a thread:

ProcessID | Win32 Process ID
Process | Name of process or thread. You can show full process name instead of name of its main executable file and enable process icon using View menu
%CPU | CPU usage, or amount of CPU time taken by process or thread (in percents of full CPU loading).
% K CPU | "% K CPU" – kernel mode part of "%CPU
CPU Graph | This item shows CPU usage history for processes or threads in the graphical form. Red color corresponds to Kernel mode CPU Usage and Green corresponds to User Mode CPU Usage. You can change height of process CPU graph in the Information Panes Settings dialog.
LT %CPU | Average (calculated during long time) CPU usage, or amount of CPU time taken by process or thread (in percents of full CPU loading). Long-time calculation period is defined in Configuration menu.
LT % K CPU | "%LT K CPU" – kernel mode part of "LT %CPU"
Time | Total amount of execution time taken by process or thread from its start (in minutes and seconds).
K Time | "K Time" – kernel mode part of "Time"
Sw/s | Number of switches to execution of current process or thread in a second.
InMem KB | Amount of physical memory (in kilobytes) used by the process.
Private KB | Amount of Virtual Memory used privately by the process. It usually corresponds to heap allocations.
Total KB | Total amount of Virtual Address Space (not Memory) used by the process.
Th | Number of threads running in current process.
Pri | Priority of current process or thread. You can change priority of selected process using commands in local menu or File menu.
OS Ver | Version of Windows that current process was built for. For example: 3.10 Windows 3.1 4.1 Windows 95/NT 4.10 Windows 98 5.0 Windows 2000 5.1 Windows XP 6.0 Windows Vista
State | State flags of current process, thread or DOS virtual machine. For example: 16 16-bit process 16 Dos Idle 16-bit DOS virtual machine 16 Sys 16-bit system process 32 32-bit process 32 Sys 32-bit system process 32 Con 32-bit console process 64 Con 64-bit console process 64 GUI 64-bit GUI process
Handles | Number of handles opened by the process.
Windows | Number of window objects opened by the process.
USER obj | Number of User objects opened by the process.
GDI obj | Number of GDI objects opened by the process.
Start time | Time when current process/thread was launched.
Up Time | Time elapsed from moment when process/thread was launched.
Session ID | Process Session ID in WinNT/2k/XP/Vista. Corresponds to Console and logged Users sessions.
User ID | Process Owner Domain and User Name
Reads | Number of Read Operations issued by process
Read KB | Data readed by process in Kbytes
Rd Rate B/s | Read Data Rate by process in Bytes/s
Writes | Number of Write Operations issued by process
Write RB | Data written by process in Kbytes
Wr Rate B/s | Write Data Rate by process in Bytes/s
Version | Process Image Version
Signer | Signer Company from Driver Image Digital Signature. Also it shows verification status of image signature. If signature "verified" it means that nobody changed this file content.
Description | Process Image Description
Company | Process Image Company
Path | Full path of main executable file of process on local disk or network.

Information is updated every short-time interval. You can change this interval and hide columns with information that is unnecessary for you using General Settings dialog. Press ‘Ctrl’+’+’ (on numpad) to set size of columns minimal enough to completely show all information.

Use commands in File menu or local menu to perform operations with selected process: change its priority, terminate etc. Press ‘Alt’+’Enter’ on selected process to see file properties for its main executable file.

Tip: you can run new process by pressing ‘Ins’ key on keyboard and terminate execution of selected process by pressing ‘Del’ key. Warning! All unsaved data in terminated process (and possibly in others too) will be lost! Use F3 Key to close selected process

Tip: you can sort list of processes this pane by any column’s contents by clicking on column’s header (sorting must be enables in the Information Panes Settings dialog). If you want to invert sort order, just click at the same column’s header another time. Important: it works only if you register the program!

Tip: you can use mouse wheel to scroll information in all panes of the main window of the program.

See also: local menu, Configuration menu (process sorting commands)


System info

System info pane

Show main window

Pane at the right of the main window of TaskInfo contains seven tabs with information about the system. Show sample

Select name of a tab to read its description:

System | CPU | All open files
Connections | Drivers | RAS
OS |  |

‘System’ tab contains current information about the system and usage of its resources. Show sample

Note: some information is available only under Windows 9x (95/98/ME), and some other is available only under Windows NT/2000/XP.

Click on a title of system information below to read its description:

CPU Clock MHz | % Idle Pri Threads
% CPU | % Idle
CPUs number | Queue for CPU
Processes | Threads
Thread sw/s | HW Ints/s
Total Ph KB | Unlocked Ph KB
Free Ph KB | Locked Ph KB
File Cache KB | Other Locked KB
Free Virt KB | Committed KB
Max Swap KB | Swap in Use KB
Page Faults/s | Page Discards/s
Page Ins KB/s | Page Outs/s
Free GDI% | Free USER%
GDI objects | USER objects
FAT Read KB/s | FAT Write KB/s
FAT Reads/s | FAT Writes/s
Client Read KB/s | Client Write KB/s
DUp Speed | Srv Transmit KB/s
DUp Read B/s | Srv Receive KB/s
VPN Speed | DUp Write B/s
VPN Read B/s | VPN Write B/s

Tip: you can use mouse wheel to scroll information in all panes of the main window of the program.


General

Current process info pane

Show main window

Pane at the right bottom of the main window of TaskInfo contains tabs with information about current process selected in process pane. Note that information is shown only for real processes (not Idle, VxD NTKern etc.). Show sample

Select name of a tab to read its description:

General | Modules | Files
Handles | Connections | Env
Image Info | Thread |

‘General’ tab contains general information about current process. Show sample

General information about current process includes:

CMD | Command line of current process. Typically it contains full path for main executable file, but it is true not for all processes.
Curr Dir | Current directory (folder) of current process. Usually files used by process are opened in its current directory, but not always it is true.
Started By | Name of parent process that has launched current process. Windows Explorer starts most processes. Shown only if parent process is still active at the moment.
Data KB | Amount of memory used for data by current process (in kilobytes): total amount, in mem – in physical memory and in use – recently used. Available under Windows 9x (95/98/ME) only.
Code KB | Amount of memory used for executable code by current process (in kilobytes): total amount, in mem – in physical memory and in use – recently used. Available under Windows 9x (95/98/ME) only.
Handles Count | Number of system handles opened by current process (opened files, synchronization objects, threads, mapped DLLs, other mapped files etc.).
Windows | Number of windows opened by current process. For example, dialog application creates and uses windows for each control in dialog: buttons, text labels, dialog window itself etc.

Information available under Windows NT/2000/XP:

Virtual KB | Amount of memory (in kilobytes) mapped in address space of process: DLLs, main executable file, allocated memory etc.
Page File KB | Amount of memory (in kilobytes) allocated in swap file. This and two previous values are presented as current and peak values.
Private KB | Amount of virtual memory (in kilobytes) owned by current process only. This memory is not shared with other processes.
Working Set KB | Amount of physical memory (in kilobytes) currently used by process.
System Pool KB | Amount of memory (in kilobytes) allocated from system kernel for objects that corresponds to current process: ‘Paged’ – swappable part of system pool, ‘Non-paged’ – non-swappable part of system pool.
Faults Count | Total amount of page faults in current process from its start.

Information available under Windows 2000/XP only:

Reads | Amount of read operations for current process: ‘Read IOs’ – total amount of read operations, ‘Read KB’ – total amount of read data (in kilobytes).
Writes | Amount of write operations for current process: ‘Write IOs’ – total amount of write operations, ‘Write KB’ – total amount of read data (in kilobytes).
Other IOs | Amount of other input/output operations for current process: ‘Other IOs’ – total amount of input/output operations, ‘Other KB’ – total amount of input/output data (in kilobytes).
Objects | Amount of USER and GDI objects opened by current process

Tip: you can use mouse wheel to scroll information in all panes of the main window of the program.


Status bar

Status bar is located at the bottom of TaskInfo main window. It shows a short description of an item that is under mouse cursor.

Tip: you can hide status bar using View menu.


Local menu

Local menu is called when you press right mouse button (or left button when mouse is configured for left-handed people) and mouse cursor is over a name of process in process pane. Local menu contains the same (but not all) commands from File and View menus.


Systray menu

Systray menu is called when you press right mouse button (or left button when mouse is configured for left-handed people) and mouse cursor is over TaskInfo icon in the systray. Systray menu contains some (but not all) commands from File, Configuration and Tools menus.


File

File menu

Main menu: | File | Edit | View | Configuration
 | Automation | Tools | Help |

Commands in the ‘File’ menu allow you to terminate current process (that is selected in the process pane), change process/thread priority and perform some other actions. Note that you can change priority of and terminate only a real process (not a pseudo process such as DOS VM, Idle or VxD) that is not marked as a system process (see status flag at process pane).

Save to File/Save Panes to HTML File | Save information in panes currently shown to a file in HTML format.
Save to File/Save All Info to HTML File | Save all information about system and all processes to a t file. In HTML format
Save to File/Save panes to file | Save information in panes currently shown to a text file.
Save to File/Save all info to file | Save all information about system and all processes to a text file. See also Edit menu.
Bring to Front | Bring current Process Window to Front
Close process | Close current process. You will be asked about saving of all unsaved data in this process. This command can’t help you to terminate execution of a badly behaving process (that is hang-up for example)
Terminate process | Force termination of execution of current process. All unsaved data in this process (and possibly in others too) will be lost! This command can help you to terminate execution of a hang-up process
Terminate Tree | Force termination of execution of current process and it’s child processes. All unsaved data in all those processes (and possibly in others too) will be lost! This command can help you to terminate execution of a hang-up processes
Debug process | Start debugging of current process in default just-in-time system debugger (for example, Microsoft Visual C++, Borland C++ etc). This command is for programmers only.
Suspend Process | Suspend current process execution until you will be ready to resume it. This command can help you to stop temporary BIG activity of some process like CPU Usage or Disks Activity to do other tasks.
Resume Process | Resume suspended process execution.
Process CPU Usage/Process to CPU affinity | This command is available on multiprocessor systems with Windows NT/2000/XP only. It allows you to select on what processor(s) current process is allowed to be executed. Calls affinity dialog
Process CPU Usage /Priority boost enabled | Enable/disable dynamic priority boost for current process/thread (valid under Windows NT/2000/XP only). If dynamic priority boost for current process is enabled, Windows increments base thread priority when process becomes foreground, or does it temporarily after input/output operation or other execution blocking states. Windows does it in order to make application execution more fast and responsive. This item can not disable priority boosting for so called interactive threads containing a message loop. Default state of this item is enabled.
Process CPU Usage/[Prirority Level] | Change priority of current process/thread. Where [Priority Level] is one of "RealTime", "High", "Above Normal", "Normal", "Below Normal", "Idle", Use it with care, it may cause process or even the system to stop responding!
Process CPU Usage /Enable Persistent Affinity | If checked than TaskInfo will save Process to CPU Affinity settings for selected process and will try to keep it in future. See also Processes Persistent Settings Dialog
Process CPU Usage /Enable Persistent Priority Boost | If checked than TaskInfo will save Priority Boost settings for selected process and will try to keep it in future. See also Processes Persistent Settings Dialog
Process CPU Usage /Enable Persistent Priority | If checked than TaskInfo will save Priority settings for selected process and will try to keep it in future. See also Processes Persistent Settings Dialog.
Process CPU Usage /Configure Persistent Settings | Shows Processes Persistent Settings Dialog with current process path rule selected.
Flush process memory out | Flush code and data memory used by current process from memory to disk
Terminate Thread | Force termination of execution of selected thread in current process. Data connected with this process can be lost or damaged (and possibly in others too)! This command can help you to debug your own applications. You must exactly know what you do.
Suspend Thread | Suspend execution of selected thread in current process. This command can help you to debug your own applications. You must exactly know what you do.
Resume Thread | Suspend execution of selected thread in current process. This command can help you to debug your own applications. You must exactly know what you do.
Run application | Call standard system ‘Run’ dialog to start execution of any process. You can also call this dialog using ‘Run’ command in the system ‘Start’ menu, or pressing ‘Ins’ on keyboard when process pane is active.
Show file properties | Show standard ‘File properties’ dialog for main executable file of current process. You may perform it pressing ‘Alt’+’Enter’ on keyboard for current process selected in process pane.
Google Process | Search Information about Selected Process with Google
Exit | Exit TaskInfo. You can also press ‘Ctrl’+’Q’ on keyboard to exit the program.

Tip: most commands in this menu can be performed when launching TaskInfo from command line

Tip: "Terminate tree/process/thread", "reboot" and similar with "SHIFT" key pressed do not show warning dialog.

See also: local menu, SysTray menu


Edit

Edit menu

Main menu: | File | Edit | View | Configuration
 | Automation | Tools | Help |

The ‘Edit’ menu contains commands for copying information to clipboard (first two commands in File menu allow to save the same information to a text file):

Copy panes to clipboard | (you can also press ‘Ctrl’+’C’ on keyboard to perform this command) copy information currently shown in all panes in the main window (all processes, system information etc.) to clipboard in text form, you can paste this information in any text editor for example; use ‘Edit/Paste’ command in its main menu), save it to file (typically ‘File/Save’ command), print etc.
Copy all info to clipboard | copy all information available to TaskInfo in detailed form, including all information about each process (see process info pane), all opened files, CPU info, OS info etc. to clipboard. Information in all panes and all their tabs will be included, independently on are they shown or not. Note that this command gives much more information than previous one, and usually it is not necessary (it may be useful only in some specail cases when you really need very detailed information about system and all processes).

Tip: you can use these commands to include your system information in a letter when reporting your problems to TaskInfo author via E-Mail.


View

View menu

Main menu: | File | Edit | View | Configuration
 | Automation | Tools | Help |

The ‘View’ menu allows you to change appearance of information in the process pane:

Show status bar | Show/hide status bar
Show toobar | Show/hide toolbar
Show graphbar | Show/hide graphbar
Show process icon | Show/hide process icon at the left of process name
Show process decsription | Show full name of a process (from its version info resource) or only name of its main executable file
Show processes tree | Show processes in the order they were executed, and mark each execution sublevel with corresponding number of underline characters. For example, you will see processes launched by Windows Explorer below its item. Example
Show process ID | Check it to see IDs (numeric identifiers) of processes. Useful for programmers mostly.
Show thread ID | Check it to see IDs (numeric identifiers) of threads. Useful for programmers mostly.
Show all threads | Show all threads in all processes. This is not a persistent command; it is the same is as if you expand all threads in all processes manually once.
Hide all threads | Hide (collapse) all threads in all processes. This is not a persistent command; it is the same as if you collapse all threads in all processes manually once
Pause Refresh | Pause Panes Refresh if Checked
Refresh Now | Refresh Information Panes Now

Tip: you can use mouse wheel to scroll information in all panes of the main window of the program.


Configuration

Configuration menu

Main menu: | File | Edit | View | Configuration
 | Automation | Tools | Help |

The ‘Configuration’ menu allows you to tune main settings of TaskInfo: appearance of its main window, program behavior etc. Items in this menu allow you to open the following configuration dialogs:

General Configuration | General program settings
Graph Sensors Configuration | Graphbar settings
Graph Color Scheme Configuration | Graphbar color scheme selection
Tray Icon Configuration | SysTray icon settings
General Panes Configuration | Settings of panes in the main window
Panes Coloring Configuration | Allows you to configure coloring of panes items. Most of settings works for Processes Pane Items
Information Columns Configuration | Show/hide desired columns in the process pane and their order
Debug Symbols Settings | Allows to configure Places where to search for Debug Symbol Files. Used to show threads stacks.
Alerts Configuration | Alerts settings
Accessibility Configuration | Accessibility Options Configuration.
Font configuration | Show standard font selection dialog to choose the font (typeface and character size) that is used to show all information in all panes
Always on Top | Keep TaskInfo main Window always over windows of other applications
Enable Processes Sorting | If checked, you will be able to sort info in panes by clicking at column's header
Disable Pseudo Processes Sorting | If checked, 'Idle', 'DPC' and 'Interrupt' pseudo processes will be on top of processes list
Hide Unnamed Handles | If checked, information about unnamed Win32 Kernel Objects handles will be hidden
Processes Pane on Top | If checked than Processes Pane placed on upper part of Window else on Left. See also Information Panes Configuration
Processes Pane Splitted | If checked than Process Name Column on Processes Pane will be non scrollable horizontally. See also Information Panes Configuration

Other menu items:

Always on Top

Enable Processes Sorting

Disable Pseudo Processes Sorting

Hide Unnamed Handles

Note: The last three options in this menu are available only after registration.

See also: SysTray menu


Tools

Tools menu

Main menu: | File | Edit | View | Configuration
 | Automation | Tools | Help |

The ‘Tools’ menu contain the following commands:

Free RAM Fast | Free physical memory using fast algorithm. This operation may take some seconds to complete.
Free RAM Slow | Free physical memory using more careful algorithm. This takes more time than previous command, but may free more memory. Important: these two commands do not ‘increase’ real amount of physical memory, they just flush allocated, but currently unused pages to disk.
Clear Clipboard | Remove current content from the system clipboard.
Find Opened File(s) | Search Processes that opened File(s) or DLL(s). Command shows Search Dialog where you can set filter mask to select needed files.
Flush File Cache | Flushes file cache from memory to disk.
Shutdown System /Shut down system | Shut down the system normally, it will try to stop all applications gracefully. The system will ask you about waiting for application exiting, you will have a chance to save all unsaved data. You may safely turn off your computer after shutdown is complete.
Shutdown System /Force shut down | Emergency shutdown, all applications will be terminated without a chance to save all unsaved data, use it with care! However, it will shutdown the system more quickly than in a previous command.
Shutdown System /Reboot | Reboot the system normally. The same as previous command, but the system will be restarted after shutdown.
Shutdown System /Force reboot | Emergency reboot, all applications will be terminated without a chance to save all unsaved data, use it with care! However, it will reboot the system more quickly than in a previous command.
Shutdown System /Logoff | Logoff from this computer. End current session.
Shutdown System /Stand By | Change System State to "Stand By".
Shutdown System /Lock This Computer | Lock This Computer.
Shutdown System /Hibernate | Change System State to "Hibernate".
Selected Process Tools/ Search Strings in Process | Search Strings in Process Modules (in Memory and in Modules Files). Command Shows Search Printable Strings in Executable Dialog
Check for Update | Try to connect to TaskInfo website and check if there is a newer version available. If yes, you will be given a link to download the latest version of the program.

Progress of some operations is shown in Tools Progress dialog.

See also: SysTray menu


Registration

Help/Registration menu

Main menu: | File | Edit | View | Configuration
 | Automation | Tools | Help |

Important: non-registered copy has some functionality restrictions in it. Registration removes all restrictions. Commands in the ‘Help/Registration’ menu allow you to register your copy of TaskInfo.

Set registration information | Show dialog where you can enter registration information – your name and a key sent to you by author of TaskInfo after your payment and order are complete.
WWW Registration Page | Start your default Internet browser to register TaskInfo online.
Purchase Directly from TaskInfo | TaskInfo uses eSellerate Wizard to purchase and receive Registration Key directly from application. See "TaskInfo Registration " for additional information.

Tip: open ‘Help/About TaskInfo’ command to see is your copy of the program registered or not. If it is not registered, use commands in this menu or visit the online registration page for more details:

http://www.iarsn.com/register.html


Automation Menu

Main menu: | File | Edit | View | Configuration
 | Automation | Tools | Help |

The ‘Automation’ menu contain the following commands:

Processes Persistent Settings Configuration | Configure Processes Persistent Settings. It Shows Processes Persistent Settings Dialog that allows to set for Process with Image Path "Affinity", "Priority" and "Enable Boost" Rules and enabling/disabling this Rules. If Rule Enabled than TaskInfo will try to set it’s parameters automatically for corresponding processes
Automatic TaskInfo Update Checking | Configure how often to check for new TaskInfo versions on Web Site.


Help

Help menu

Main menu: | File | Edit | View | Configuration
 | Automation | Tools | Help |

Commands in ‘Help’ menu provide some helpful information about TaskInfo.

Help topics | Show this online help.
Command line description | Shows window with description of command-line commands supported by TaskInfo.
Iarsn on the Web | Submenu commands allow you to visit some web pages: TaskInfo home page, page with Frequently asked questions and Iarsn home page (author of TaskInfo).
E-mail author | Send a letter via E-Mail to Igor Arsenin, author of TaskInfo. Please be sure to read reporting problems section before sending your letters!
Registration … | TaskInfo Registration Menu
About TaskInfo | Show dialog with information about the program. You can see in this dialog is your copy of the program registered or not.


CPU info

System info pane: CPU

Show main window

Pane at the right of the main window of TaskInfo contains seven tabs with information about the system. Show sample

Select name of a tab to read its description:

System | CPU | All open files
Connections | Drivers | RAS
OS |  |

‘CPU’ tab contains information about CPU (central processor unit) installed in your computer. Show sample

Most of CPU information is very specific and may be useful for experts only.

The main part of information is described below:

CPU Vendor | original vendor of CPU (for example Intel, AMD etc.)
CPU Type | type of CPU, for example Intel 80486, Pentium, Pentium II/III, AMD Athlon etc.
CPU Clock MHz | actual (measured in real time) frequency of CPU clock in Megahertz. This value is the main factor that denotes CPU operating speed.
L1/L2 Cache | sizes of layer 1/2 CPU caches (in kilobytes). Cache size is an other important factor that denotes CPU calculation speed, especially for processing large amounts of data.
FPU Present | is floating-point unit present or not. If present, it significantly increases speed of floating-point operations. All modern processors have FPU.
MMX Support | does CPU support MMX instructions or not. If support of MMX is present, it provides possibility of increase in speed of integer operations. Most modern processors support MMX, but not all applications use it.
SSE Support | does CPU support SSE instructions or not. If support of SSE is present, it provides additional possibility of increase in speed of floating-point operations. Newest processors supports SSE, but not all applications use it.
3DNow! Support | does CPU support 3DNow! instructions or not. If support of 3DNow! is present, it provides possibility of increase in speed of calculations. Most AMD processors supports 3DNow!, but not all applications use it.

For more specific information about modern processors please visit their manufacturers’ web sites: Intel, AMD

Tip: you can use mouse wheel to scroll information in all panes of the main window of the program.


All open files

System info pane: All open files

Show main window

Pane at the right of the main window of TaskInfo contains seven tabs with information about the system. Show sample

Select name of a tab to read its description:

System | CPU | All open files
Connections | Drivers | RAS
OS |  |

‘All open files’ tab contains information about all files opened in the system at the moment. Show sample

Information about all opened files is presented in four columns:

Name | Name of an opened file.
Process name | Name of a process that opened current file. Note that this information is available not for all opened files.
Full path | Full path on hard disk or network to an opened file.
Process path | Full path to main executable of a process that opened current file. This information is available not for all opened files.

Tip: you can sort list of files in this pane by any column’s contents by clicking on column’s header. If you want to invert sort order, just click at the same column’s header another time.

Tip: you can use mouse wheel to scroll information in all panes of the main window of the program.


Connections

System info pane: Connections

Show main window

Pane at the right of the main window of TaskInfo contains seven tabs with information about the system. Show sample

Select name of a tab to read its description:

System | CPU | All open files
Connections | Drivers | RAS
OS |  |

‘Connections’ tab contains information about all network connections opened in the system at the moment. Show sample

Note: It there is no network connections, the tab contains ‘No Active Connections‘.

Information about all opened connections is presented in eight columns:

Process | name of process that opened current connection.
Protocol | name of network protocol used in current connection (TCP/UDP).
State | current state of connection (listening, established, waiting for timeout etc.).
Loc Name | local host address (name).
Loc Port | local port number/name.
Rem Name | remote host address (name).
Rem Port | remote port number/name.
Process Path | full path to main executable file of process that opened current connection.

Tip: you can sort list of connections in this pane by any column’s contents by clicking on column’s header. If you want to invert sort order, just click at the same column’s header another time.

Tip: you can use mouse wheel to scroll information in all panes of the main window of the program.


Drivers

System info pane: Drivers

Show main window

Pane at the right of the main window of TaskInfo contains six tabs with information about the system. Show sample

Select name of a tab to read its description:

System | CPU | All open files
Connections | Drivers | RAS
OS |  |

‘Drivers’ tab contains information about all drivers opened in the system at the moment. Show sample

Information about all opened drivers is presented in eight columns:

 | Column Available in WinNT/2000/XP/Vista
Name | Kernel Module (Driver) file name without extension.
Base | Base address of driver in memory (in hexadecimal form).
Code Size | Size of Driver Code Segment.
Data Size | Size of Driver Data Segments.
Build Time | Driver Build Time.
Signer | Signer Company from Driver Image Digital Signature. Also it shows verification status of image signature. If signature "verified" it means that nobody changed this file content.
Version | Driver version in Version Info.
Description | Short text description of driver function in Version Info.
Company | Company Driver created by in Version Info.
Full Path | Full Path to Driver Image File.
 | Columns Available in Win9x/ME
Name | Name of VxD Module. Can be different from File Name.
Size | Total size of all driver code segments in memory (bytes).
Locked | Total size of driver code segments locked in memory (bytes).
Type | Driver type. For example: static VxD, dynamic VxD, NT miniport/WDM etc.
VxD ID | Numeric identifier of VxD API.
V86 API | Does driver support API for virtual V86 mode or not.
PM API | Does driver support API for protected mode or not.

Tip: you can sort list of drivers in this pane by any column’s contents by clicking on column’s header. If you want to invert sort order, just click at the same column’s header another time.

Tip: you can use mouse wheel to scroll information in all panes of the main window of the program.


OS

System info pane: OS

Show main window

Pane at the right of the main window of TaskInfo contains seven tabs with information about the system. Show sample

Select name of a tab to read its description:

System | CPU | All open files
Connections | Drivers | RAS
OS |  |

‘OS’ tab contains information about the operating system itself and your computer. Show sample

Information about OS includes:

OS | Name of operating system. For example Windows 95, 98, NT, 2000 etc.
Version | System version number. For example 4.0, 4.1, 5.0 etc.
Build | Build number and service pack information.
Up time | Time elapsed from the latest system restart.
Computer Name | network name of computer.
Windows Directory | Location of main system directory on disk with main system applications, initialization and help files etc.
System Directory | Location of system directory with system DLLs, drivers etc.
User Name | Name of user currently logged-in.
Host Name | Network host name of computer.
Host Name/Addr #N | Host name and address on network card number N.
AC Power Status | Status of power supply.
Battery Status | Status of battery (typically present in laptop/portable computers).
Battery % | Percentage of full battery charge remaining.
Battery left | Estimated time of battery life left.

Tip: you can use mouse wheel to scroll information in all panes of the main window of the program.


RAS

System info pane: RAS

Show main window

Pane at the right of the main window of TaskInfo contains seven tabs with information about the system. Show sample

Select name of a tab to read its description:

System | CPU | All open files
Connections | Drivers | RAS
OS |  |

‘RAS’ tab contains information about current RAS (Remote Access Service) and VPN (Virtual Private Network) connections. It is available only under Windows 9x/ME/2000/XP. Show sample

Note: It there is no RAS/VPN connection(s), the tab contains ‘No Active Connections‘.

Information about RAS and VPN connections includes:

Connection name | CRC errors
Device type | Timeouts
Device name | Alignment errors
Connection status | Hardware overrun errors
IP address | Framing errors
Server IP address | Buffer overrun errors
Bytes transmitted | Compression % transmitted
Bytes received | Compression % received
Frames transmitted | Connection speed bps
Frames received | Connection time

Note: if there is no connection errors (CRC errors, timeouts, overrun etc.), the corresponding information is not shown in the tab.

Tip: you can use mouse wheel to scroll information in all panes of the main window of the program.


Modules

Current process info pane: Modules

Show main window

Pane at the right bottom of the main window of TaskInfo contains tabs with information about current process selected in process pane. Note that information is shown only for real processes (not Idle, VxD NTKern etc.). Show sample

Select name of a tab to read its description:

General | Modules | Files
Handles | Connections | Env
Image Info | Thread |

‘Modules’ tab contains information about program modules (usually DLLs) opened by current process. Show sample

Information about current process modules is presented in nine columns:

Name | module name. Usually it is equal to file name of this module.
Base Address | base address of module in memory space of current process (in hexadecimal form).
Size | module image size in memory (in bytes).
InMem | Module Size in Physical Memory
LUsage | usage count of module in current process only (local). Available only under Windows 9x (95/98/ME).
GUsage | usage count of module in all processes (global). Some modules may be used by different processes (especially system modules). Available only under Windows 9x (95/98/ME).
MM | Module or Mapped File Indicator. If "Y" than information about Memory Mapped File.
Build Time | Module Build Data and Time
Version | module version number (if available).
Description | short text description of module’s main function (if available).
Company | name of company that has created this module (if available).
Signer | Signer Company from Module Image Digital Signature. Also it shows verification status of image signature. If signature "verified" it means that nobody changed this file content.
Full Path | path to main executable file of module.

Tip: you can sort list of modules in this pane by any column’s contents by clicking on column’s header. If you want to invert sort order, just click at the same column’s header another time.

Tip: you can use mouse wheel to scroll information in all panes of the main window of the program.


Files

Current process info pane: Files

Show main window

Pane at the right bottom of the main window of TaskInfo contains tabs with information about current process selected in process pane. Note that information is shown only for real processes (not Idle, VxD NTKern etc.). Show sample

Select name of a tab to read its description:

General | Modules | Files
Handles | Connections | Env
Image Info | Thread |

‘Files’ tab contains information about files opened by current process. Show sample

Information about files opened by current process is presented in four columns:

Handle | numeric value of file handle (in hexadecimal form).
Name | file name.
File Pos | current position in file. It varies when process reads data from this file or writes data to it.
Full Path | full path to file.

Tip: you can sort list of files in this pane by any column’s contents by clicking on column’s header. If you want to invert sort order, just click at the same column’s header another time.

Tip: you can use mouse wheel to scroll information in all panes of the main window of the program.


Handles

Current process info pane: Handles

Show main window

Pane at the right bottom of the main window of TaskInfo contains tabs with information about current process selected in process pane. Note that information is shown only for real processes (not Idle, VxD NTKern etc.). Show sample

Select name of a tab to read its description:

General | Modules | Files
Handles | Connections | Env
Image Info | Thread |

‘Handles’ tab contains information about handles opened by current process. Show sample

Information about files opened by current process is presented in four columns:

Handle | numeric value of handle (in hexadecimal form).
Type | handle type.
Refs | number of references to handle (how many times it is opened).
Name | name of handle (if present).

Tip: Unnamed handles can be hidden using Configuration menu (available in the registered program only). You can sort list of handles in this pane by any column’s contents by clicking on column’s header. If you want to invert sort order, just click at the same column’s header another time.

Tip: you can use mouse wheel to scroll information in all panes of the main window of the program.


Connections

Current process info pane: Connections

Show main window

Pane at the right bottom of the main window of TaskInfo contains tabs with information about current process selected in process pane. Note that information is shown only for real processes (not Idle, VxD NTKern etc.). Show sample

Select name of a tab to read its description:

General | Modules | Files
Handles | Connections | Env
Image Info | Thread |

‘Connections’ tab contains information about connections opened by current process. Show sample

Information about connections opened by current process is presented in six columns:

Protocol | name of network protocol used in current connection (TCP/UDP).
State | current state of connection (listening, established, waiting for timeout etc.).
Loc Name | local host address (name).
Loc Port | local port number/name.
Rem Name | remote host address (name).
Rem Port | remote port number/name.

Tip: you can sort list of connections in this pane by any column’s contents by clicking on column’s header. If you want to invert sort order, just click at the same column’s header another time.

Tip: you can use mouse wheel to scroll information in all panes of the main window of the program.


Env

Current process info pane: Env

Show main window

Pane at the right bottom of the main window of TaskInfo contains tabs with information about current process selected in process pane. Note that information is shown only for real processes (not Idle, VxD NTKern etc.). Show sample

Select name of a tab to read its description:

General | Modules | Files
Handles | Connections | Env
Image Info | Thread |

‘Env’ tab contains information about environment variables for current process. Show sample

Tip: you can use mouse wheel to scroll information in all panes of the main window of the program.


Image Info

Current process info pane: Image Info

Show main window

Pane at the right bottom of the main window of TaskInfo contains tabs with information about current process selected in process pane. Note that information is shown only for real processes (not Idle, VxD NTKern etc.). Show sample

Select name of a tab to read its description:

General | Modules | Files
Handles | Connections | Env
Image Info | Thread |

‘Image Info’ tab contains version information, build date, image type and Digital Signature status for main executable file of current process. If signature "verified" it means that nobody changed this file content.

. Show sample

Tip: Version information about a process also can be shown in Explorer ‘File properties’ dialog for selected process in process pane by pressing ‘Alt’+’Enter’ on keyboard or via File menu or local menu.

Tip: you can use mouse wheel to scroll information in all panes of the main window of the program.


Current process info pane: Thread

Show main window

Pane at the right bottom of the main window of TaskInfo contains tabs with information about current process selected in process pane. Note that information is shown only for real processes (not Idle, VxD NTKern etc.). Show sample

Select name of a tab to read its description:

General | Modules | Files
Handles | Connections | Env
Image Info | Thread |

‘Thread’ tab contains information (if available) about selected thread start address and thread stack. Debug Symbol Information or Modules Exports will be used. Show sample

Tip: you can use mouse wheel to scroll information in all panes of the main window of the program.


General Configuration

General Settings

Show image

This dialog allows you to configure general settings of TaskInfo.

Click on title of setting to read its description:

Show ToolBar | Show/hide the program toolbar.
Show Status Bar | Show/hide status bar at the bottom of main window.
Show GraphBar | Show/hide the graphbar.
Always on Top | Keep TaskInfo main Window always over windows of other applications
Close to SysTray | If enabled, TaskInfo won’t exit when you click on cross at the top right of the main window, it will be minimized to SysTray.
Disable multiple TaskInfo | Disable/enable launch multiple instances of TaskInfo. In most cases you really don’t need to do it, and if you try to run another instance of TaskInfo by accident, the first instance that is already running will be activated.
Launch TaskInfo on startup | If enabled, TaskInfo will be launched automatically at every system startup. This option is useful with Start minimized turned on too.
Start As Win9x Service | If enabled, TaskInfo will run as a system service (available only under Windows 95/98/ME). TaskInfo won’t be closed after logoff of user that has launched it.
Start Minimized | If enabled, TaskInfo will start with its main window minimized.
Minimize to SysTray | If enabled, TaskInfo won’t be present in the system taskbar when you minimize its main window, it will only show its icon it SysTray.
Drop Idle Priority Threads CPU% | If checked, CPU usage of threads with Idle priority will not be considered. It may be useful for processes like CPU/motherboard monitors etc.
Refresh Interval in seconds | It defines how often all information is updated (interval in seconds). The less is the interval, the more adequate is real-time information, but it increases CPU usage of TaskInfo itself. Possible values are from 1/2 to 10 seconds. Default value is 2.
Long Time averaging for "LT %CPU" in Refresh Intervals | Set averaging (long-time) interval for ‘LT %CPU’ column in process pane. Possible values are from 2 to 25 refresh intervals (see previous command) and ‘Infinite’ (see below). For example, if you set it to 10 and refresh interval to 4 seconds, averaging time will be 40 seconds. It is very useful for programmers to tune their applications. It has more stable values than %CPU.
Digital Signatures Checking | Synchronously: Check Signature of Module without delay. Leads to slower TaskInfo start and delays while navigating TaskInfo information Asynchronously: Check Signatures of Modules distributing System Load in time. Optimal variant. Disable: Disable Digital Signatures checking.

Note: If you select Infinite averaging time, averaging time interval will be set to infinite, and all average %CPU values will be calculated in time interval between moments when this option is turned on and is turned off. If this option was already selected and you apply it another time, all internal averaging counters will be reset (the same as you restart averaging process).

See also: View menu, SysTray menu

Tip: you can select any configuration dialog by clicking icons at the left of dialog, or by using Configuration menu.


Graphbar Sensors Configuration

Graphbar Sensors Settings

Show image

This dialog allows you to configure settings of graphbar.

Show data titles in sensors | Turn it on to show data titles of sensors; turn off to show graphs only
Show Average Values | Turn it on to show Values averaged during 10 refresh intervals. It is often usable with values such as CPU usage and data rates. This values displayed using underlining
Sensors placement | Defines placement of sensors in graphbar: Vertical, Horizontal or Automatic (recommended)
Number of lines | Defines number of lines of sensors in graphbar
Sensor Height | Sensors Line Height in parts of maximum Height (in Docked State)

Checkboxes at the bottom of the dialog allow you to select what sensors to be shown on graphbar. Turn on desired checkboxes, and sensors with graphs of corresponding values will be shown.

Virtual Memory and Swap File

Usage of virtual memory in percents of maximal available amount. This graph (named Vrt Mem) shows two values:

Swap -- Amount of virtual memory stored in swap file on disk (in percents of maximal available amount of virtual memory).

Other -- Amount of committed (allocated) virtual memory minus swap (see previous value).

RAM and File Cache

Usage of physical memory. This graph (named Phs Mem) shows two values:

RAM -- Amount of physical memory used by the system and applications (in percents of total amount of physical memory).

Cache -- Amount of physical memory used for file cache (in percents of total amount of physical memory).

Total CPU Usage

Total CPU usage. This graph (named All CPUs) shows three values:

User -- Percent of CPU used for application (not system) code execution (Ring 3 level).

Kernel -- Percent of CPU used for system kernel code execution (Ring 0 level). Available under Windows NT/2000/XP only.

Int+DPC -- Percent of CPU used for interrupts and DPC (deferred procedure call) processing (part of Ring 0 level). Available under Windows NT/2000/XP only.

If you have more than one CPU in the system, total CPU usage is shown on it.

Usage for each CPU separately

CPU usage for each CPU (shown values are the same as on previous graph). If you have more than one CPU in the system, a separate graph will be shown for each CPU (named CPU 0, CPU 1 etc.). These graphs are available only on multi-processor systems under Windows NT/2000/XP.

Tip: move mouse cursor over any graphbar item and hold it for a while. A tool tip will be shown with description of values shown in the item. Show sample

Tip: you can select any configuration dialog by clicking icons at the left of dialog, or by using Configuration menu.


Graphbar Color Scheme Configuration

Graphbar Color Scheme Settings

Show image

This dialog allows you to select color scheme of graphbar.

Select desired scheme and press Apply or Ok to use it.

Tip: you can select any configuration dialog by clicking icons at the left of dialog, or by using Configuration menu.


Tray Icon Configuration

Tray Icon Settings

Show image

This dialog allows you to select appearance of icon in the system tray.

No tray icon | If selected, there will be no icon of TaskInfo in SysTray.
No animation | If selected, non-animated icon of TaskInfo will be shown in SysTray:
CPU Graph usage | If selected, CPU usage graph will be shown on the icon:
Swap File, RAM, CPU usage | If selected, Swap file, RAM and CPU usage will be on the icon:

See also: SysTray menu

Tip: you can select any configuration dialog by clicking icons at the left of dialog, or by using Configuration menu.


Panes General Configuration

Show image

This dialog allows you to configure settings of process pane.

Enable processes sorting | If checked, enables sorting of information in process pane by any column. You can click on column headers in process pane to sort processes by process name, CPU usage and so on. Clicking on the same column header inverts sorting.
Disable pseudo processes sorting | If enabled, pseudo processes (like Idle, DPC and Interrupts) will not be sorted. They will stay always at the top of process pane.
Hide unnamed handles | If enabled, TaskInfo will hide all unnamed handles for current process in Handles pane.

Note: the first three options are available in the registered program only.

Show "System" as Pseudo-process | Show "System" Process in WinNT as other , pseudo processes (like Idle, DPC and Interrupts). So it will not be portable if sorting is disabled for pseudo-processes.
Show process icon | Show/hide process icon at the left of process name.
Show Processes Tree | Sort processes according Parent/Child relations. Show it as Tree.
Keep Selected Process Visible | Position Processes List in a way to keep selected process and threads visible during other processes starts and exits
Show process decsription | Show full name of a process (from its version info resource) or only name of its main executable file.
Show Numeric IP Addresses | Show TCP/IP addresses in Numeric form in Connection Tabs.
Show Numeric IP Ports | Show TCP/IP Ports in Numeric form in Connection Tabs.
Show All Connections | If checked then show All TCP and UDP Connections else show only established TCP Connections
Tri-state Sorting | If checked than clicking on column headers on System and Current process panes will switch sorting as "Up", "Down" and "No Sorting"., It is usable when you need to know for example order of loading of DLLs and Drivers.
Automatic Columns Width | If checked than columns on System and Current process Panes will be automatically set in a way to see all information
Processes Pane at Top | If checked than Processes Pane placed on upper part of Window else on Left
Processes Pane Splitted | If checked than Process Name Column on Processes Pane will be non scrollable horizontally

See also: View menu

Tip: you can select any configuration dialog by clicking icons at the left of dialog, or by using Configuration menu.


Information Panes Coloring

Show image

This dialog allows you to configure coloring of panes items. Most of settings works for Processes Pane Items

New / Old Objects HighLight Duration | Time to mark by special color process as new after process starts. And time to keep some information and color process after it did exit.
Enable Horizontal Grid Lines | Enable horizontal grid lines on different List Views
Enable Vertical Grid Lines | Enable vertical grid lines on different List Views
CPU Graph Height in Pixels | Select desired height of process CPU usage graph. Default setting is Min, the height is selected corresponding to height of currently selected font in this case.
Show Small Alert Window | Select from two Alert Window Sizes.
New Object | Color of new Processes. See above "New / Old Objects HighLight Duration"
Deleted Object | Color of Ended Processes. See above "New / Old Objects HighLight Duration"
Process Owned by User | Color of Processes running under logged User account.
Process Owned by System | Color of Processes running under one of Local System accounts.
Module Signature Problem | Color of Process or Module that are Digitally Signed but have problems with signature verification
Process Contains Services | Some Services are running in this Process
Relocated Module | Module loaded at different address than was build for. It leads to slower process start
Graphs Background | Background of Graph Cell on list view. See for example CPU usage graph on Processes Pane.
Grid Lines Color | Color of Grid Lines on different List Views.

Tip: you can select any configuration dialog by clicking icons at the left of dialog, or by using Configuration menu.


Information Panes Configuration

Information Columns Settings

Show image

This dialog allows you to show/hide and set order of columns in all information panes: processes, all open files, all connections, kernel drivers, process modules, process files, process handles, process connections.

The list box at the left contains list of column titles. To show/hide desired column, use checkboxes at the left of corresponding title. To change their order, select title of column (by clicking at its title) you want to move, and press Up/Down buttons. Use drop-down list at the right top of the dialog to select desired pane. Columns in corresponding pane will be shown in the same order as in the list (from its top to its bottom).

Press Default button to reset order and show/hide state of columns to their default state.

Tip: you can also change order of columns in any pane by dragging their titles with mouse to left/right (click at column’s title, hold mouse button, move mouse cursor to title of other column where you want to place column being moved, and then release mouse button).

Note: changing order of columns and Default button in this dialog are enabled only in registered copy of TaskInfo.

Tip: you can select any configuration dialog by clicking icons at the left of dialog, or by using Configuration menu.


Debug Symbols Settings

Show image

This dialog allows you to configure Places where to search for Debug Symbol Files. Used to show threads stacks.

Path to Dbghelp.dll: | Path to MS Debug Symbols processing Engine. By default it shows to DbgHelp.dll in TaskInfo Directory. We will try to have it as new as possible
Path to Search Debug Symbols Files | Path where to search Symbol Files locally
Use MS Symbol Server. Edit below Path to Symbol Server Cache Folder: | If checked than TaskInfo will try to search locally. If not found than try to get it from Microsoft Symbol Server and place it in Cache Folder.
Use _NT_SYMBOL_PATH environment variable. See below. | If checked than use as symbol path content of environment variable named "_NT_SYMBOL_PATH"
Use _NT_ALTERNATE_SYMBOL_PATH environment variable . See below. | If checked than use as symbol path content of environment variable named _NT_ALTERNATE_SYMBOL_PATH"
Result from Above Settings | Combination of above settings. It is real path that will be used with MS Debug Symbols Engine. MS Symbol Server will be set as last part if enabled.

Tip: you can select any configuration dialog by clicking icons at the left of dialog, or by using Configuration menu.


Alerts Configuration

Alerts Settings

Show image

This dialog allows you to configure alert situations. You can select levels of some system resources, and where there are too low free resources, or when too many system objects are allocated, TaskInfo will show alert window near its icon in the system tray.

It may prevent you from running too many applications and avoid system crash. It is also useful when developing applications to detect bugs that cause leaks of system resources etc.

Show Small Alert Window | Select from two Alert Window Sizes.
Save Alert Window Position | Enable to Keep Alert Window position. If not checked then position will be set automatically near SysTray Icon.
Low resources alert enable | Turn on this checkbox to enable alert of low level of free system resources:
GDI free % | alert level of free GDI resources in percents.
USER free % | Alert level of free USER resources in percents. When there are too few GDI or USER resources (less than specified), alert is shown. These two settings are available in Windows 95/98/ME only.
GDI objects | Alert level of opened GDI objects.
USER objects | Alert level of opened USER objects. When there are too many GDI or USER objects (greater than specified), alert is shown. These two settings are available under Windows NT/2000/XP only.
Windows total | Alert level of opened Window objects. When there are too many Window objects (greater than specified), alert is shown.
Too many Win32 handles alert enable | Turn on this checkbox to enable alert of too high level of Win32 handles:
Handles Total | Alert level of opened Win32 handles. When there are too many handles opened (greater than specified), alert is shown.
Low virtual memory alert enable | Turn on this checkbox to enable alert of low level of free virtual memory:
Free % | Alert level of free virtual memory in percents. When there is too low free virtual memory (less than specified), alert is shown.

Tip: you can select any configuration dialog by clicking icons at the left of dialog, or by using Configuration menu.


Accessibility Configuration Dialog

Such dialog is shown when "Accessibility Configuration" command in Configuration menu is performed.

Currently Menu Draw type can be selected. "System Native" means using usual system drawn menu. It is compatible with all Screen Readers like MS Narrator, JAWS or others. Other two draw types are compatible with MS Narrator or other Screen Reader that use MS Accessibility API. Later we will add other options.


Tools Progress Dialog

Such dialog is shown when one of commands in Tools menu is performed: Free RAM fast, Free RAM slow, Flush file cache or Check for update:

Progress of the operation is shown in the progress bar at the top. Text description of the process and result of operation are shown in the text box. You can press Close button before operation is finished to break it.


Search Printable Strings in Executable Dialog

Such dialog is shown when "Search Strings in Process" command in Tools menu is performed. Dialog is resizable.

It is similar to well known "strings" utility. It uses simple statistical rules to search for printable strings. "Shortest String" is minimal number of chars in string. "Search Source" is where to search string – in module image file on disk or instance of module in memory. "Strings Type" – what strings to search for: ANSI, English UNICODE or both. "Process" – process path we work with. "Module" – Module in process above we scan for printable strings.


Processes Fixed Priority Settings Dialog

Processes Persistent Settings Dialog

Such dialog is shown when "Processes Persistent Settings Configuration" command in Automation Menu is performed. Dialog is resizable.

Dialog allows CPU Usage Settings for Process with "Process Path" to be remembered. It includes "Process to CPU Affinity", "Process Priority" and "Process Priority Boost" Rules and enabling/disabling this Rules. If Rule Enabled than TaskInfo will try to set its parameters automatically for corresponding processes.


Process to CPU affinity dialog

Affinity dialog

This dialog can be called from the File menu or local menu. It is available on multiprocessor systems with Windows NT/2000/XP only.

It allows you to select what processor(s) (CPUs) can be used for execution of current process. When you launch a process, the system enables all processors for its execution by default.

TaskInfo will remember and restore Affinity State for Process with the same Image Path if "Persistent Affinity" at the dialog top is checked. See also Processes Persistent Settings Dialog.

Tip: if a process uses CPUs a lot, you can limit its execution to only one processor for example. To do this, select/deselect desired processor(s) with checkboxes in the dialog. Execution of current process on all non-selected CPUs will be disabled.


Open Files Search Tool Dialog

Such dialog is shown when "Find Opened File(s)" command in Tools menu is performed. Dialog is resizable.

Edit Box contains mask for files and DLLs searching. Enter mask and click "Search" button. Mask can contain wildcards.

"Search as Sub String" check box if checked means automatic adding wildcards to sides of search mask. So ",dll" will be used as "*.dll*".

List Control contains search results. When you select row then automatically corresponding process in "Processes Pane" will be selected.


Image. Tray Icon Configuration dialog

Tray Icon Settings dialog


Image. Information Panes Configuration dialog

Information Panes Settings dialog


Information Panes Coloring Dialog


Image. Information Columns Configuration dialog

Information Columns Settings dialog


Image. Graphbar Sensors Configuration dialog

Graphbar Sensors Settings dialog


Image. Graphbar Color Scheme Configuration dialog

Graphbar Color Scheme Settings dialog


Image. General Configuration dialog

General Settings dialog


Debug Symbols Settings Dialog


Image. Alerts Configuration dialog

Alerts Settings dialog


Alert Window

Such window is shown near icon of TaskInfo in the system tray when alert situation is encountered:

Large Alert Window:

Small Alert Window:

For example, this window is shown when there are too many Win32 handles opened in the system (greater than specified alert level). To close this window, try to close some applications or click on Alerts Configuration link, increase alert level of Win32 handles and press Apply or Ok.


allopenfiles_sample

Sample view of All open files pane


System commands

Command line: System commands

>TaskInfo reboot

Reboot system. System will try to stop all application gracefully. It will ask you about waiting for application exiting.

>TaskInfo freboot

Force reboot system. Stop and restart system as fast as possible. If an application does not exit on close command during a short period of time, it will be terminated and all non-saved data in it will be lost.

>TaskInfo shutdown

Shutdown system. System will try to stop all applications gracefully. It will ask you about waiting for application exiting.

>TaskInfo fshutdown

Force shutdown system. Stop and shutdown system as fast as possible. If an application does not exit on close command during a short period of time, it will be terminated and all non-saved data in it will be lost.

>TaskInfo sync

Flush system registry and file cache to disk. See also Tools menu.

See also: process commands


Process commands

Command line: process commands

>TaskInfo rpri Priority Exefilename Parameters

Run process with priority. ‘Priority’ may be ‘idle’, ‘norm’, ‘high’, ‘real’, ‘anorm’ or ‘bnorm’ (two last ones mean ‘Above normal’ and ‘Below normal’ and are available only under Windows NT/2000/XP).

‘Exefilename’ is a full path to executable you want to start. It must be quoted if it contain spaces. ‘Parameters’ are command-line parameters of application being launched. Example

>TaskInfo pl filename

Save Processes Information to file

>TaskInfo spri Priority Exefilename

Set existing process priority. ‘Priority’ may be ‘idle’, ‘norm’, ‘high’, ‘real’, ‘anorm’ or ‘bnorm’. ‘Exefilename’ is a name and extension or full path to an executable file. It must be quoted if it contains spaces. Priority of all running applications that correspond to this ‘Exefilename’ will be set. Example

Warning: ‘real’ means real-time priority, use it with care! If you set such priority to a process, it may cause other programs and even the system to stop responding!

>TaskInfo kill Exefilename

Kill existing process. ‘Exefilename’ is a name and extension or full path to an executable file. It must be quoted if it contains spaces. All running applications that correspond to this ‘Exefilename’ will be killed. Example

>TaskInfo close Exefilename

Close existing process. ‘Exefilename’ is a name and extension or full path to an executable file. It must be quoted if it contains spaces. All running applications that correspond to this ‘Exefilename’ will be closed. Example

>TaskInfo flush Exefilename

Flush memory of a process to disk. Supported only under Windows NT/2000/XP. ‘Exefilename’ is a name and extension or full path to an executable file. It must be quoted if it contains spaces. Memory of all running applications that correspond to this ‘Exefilename’ will be flushed to disk. Example

See also: system commands


connections_sample

Sample view of Connections pane


cpu_info

CPU information includes:

· Vendor (Intel, AMD etc.)

· Type (80486, Pentium, Pentium II, III, Athlon etc.)

· Clock frequency (MHz)

· Support of instruction extensions (MMX, SSE, 3DNow! etc.)

· and other

For more information please read description of CPU info pane.


cpuinfo_sample

Sample view of CPU info pane


drivers_sample

Sample view of Drivers pane


exam_close

>TaskInfo close "C:\Program Files\Microsoft Office\winword.exe"

>TaskInfo close winword.exe

Terminate execution of all instances of Microsoft Word that are running. You will be asked about saving of all non-saved documents before closing.


exam_flush

>TaskInfo flush "C:\Program Files\Microsoft Office\winword.exe"

>TaskInfo flush winword.exe

Flush memory of all instances of Microsoft Word that are running from memory to disk.


exam_kill

>TaskInfo kill "C:\Program Files\Internet Explorer\iexplore.exe"

>TaskInfo kill iexplore.exe

Terminate execution of all instances of Microsoft Internet explorer that are running.


exam_pri

>TaskInfo spri high "C:\Program Files\Internet Explorer\iexplore.exe"

>TaskInfo spri high iexplore.exe

Set high priority to all instances of Microsoft Internet explorer that are running.


exam_run

>TaskInfo rpri norm "C:\Program Files\Internet Explorer\iexplore.exe"

>TaskInfo rpri norm C:\Progra~1\Intern~1\iexplore.exe

Launch a new instance of Microsoft Internet explorer with normal priority.


expand_sample

Expand threads of a process

To expand list of threads for a process,

double-click at ‘+’ character or press ‘Enter’

Non-expanded (collapsed) view of Windows explorer

(no threads are shown for it)

Expanded view of Windows explorer’s threads


file_pri

Idle | set idle priority (almost no action) to current process/thread
Below Normal | set priority below normal (available only under Windows NT/2000/XP)
Normal | set normal priority
Above Normal | set priority above normal (available only under Windows NT/2000/XP)
High | set high priority
Real-time | set real-time priority. Use it with care. It may cause other applications and even the system to stop responding!


font_dialog

Font selection dialog


graphbar_sample

Graphbar


graphtip

Graphbar Tooltip


modules_sample

Sample view of process info pane: Modules


os_info

OS information includes:

· Type (Windows 95/98/NT/2000 etc.)

· Version/build number

· Network computer name

· Current (logged in) user name

· Host name/IP address

· Files and DLLs in use

· Windows/system directory location on disk

For more information please read description of OS info pane.


os_sample

Sample view of OS info pane


pinfo_cpu

%CPU

CPU usage, or amount of CPU time taken by process or thread (in percents of full CPU loading).

"% K CPU" – kernel mode part of "%CPU"


pinfo_cpugraph

CPU Graph

This item shows CPU usage history for processes or threads in the graphical form. Red color corresponds to Kernel mode CPU Usage and Green corresponds to User Mode CPU Usage.

Tip: you can change height of process CPU graph in the Information Panes Settings dialog.


pinfo_gdi

GDI obj

Number of GDI objects opened by the process.


pinfo_handles

Handles

Number of handles opened by the process.


pinfo_inmemkb

InMem KB

Amount of physical memory (in kilobytes) used by the process.


pinfo_ltcpu

LT %CPU

Average (calculated during long time) CPU usage, or amount of CPU time taken by process or thread (in percents of full CPU loading). Long-time calculation period is defined in Configuration menu.

"%LT K CPU" – kernel mode part of "LT %CPU"


pinfo_name

Process

Name of process or thread. You can show full process name instead of name of its main executable file and enable process icon using View menu.


pinfo_path

Path

Full path of main executable file of process on local disk or network.


pinfo_pri

Pri

Priority of current process or thread. You can change priority of selected process using commands in local menu or File menu.


Rd Rate B/s

Read Data Rate by process in Bytes/s


Read KB

Data readed by process in KBytes


Reads

Number of Read Operations issued by process


pinfo_start

Start time

Time when current process/thread was launched.


pinfo_state

State

State flags of current process, thread or DOS virtual machine.

For example:

16 16-bit process

16 Dos Idle 16-bit DOS virtual machine

16 Sys 16-bit system process

32 32-bit process

32 Sys 32-bit system process

32 Con 32-bit console process


pinfo_swsec

Sw/s

Number of switches to execution of current process or thread in a second.


pinfo_threads

Th

Number of threads running in current process.


pinfo_time

Time

Total amount of execution time taken by process or thread from its start (in minutes and seconds).

"K Time" – kernel mode part of "Time"


pinfo_totalkb

Total KB

Total amount of virtual memory (in kilobytes) used by the process.


pinfo_user

User obj

Number of User objects opened by the process.


pinfo_ver

Ver

Version of Windows that current process was built for.

For example:

3.10 Windows 3.1

4.1 Windows 95/NT

4.10 Windows 98

5.0 Windows 2000

5.1 Windows XP


pinfo_windows

Windows

Number of window objects opened by the process.


Write RB

Data written by process in KBytes


Writes

Number of Write Operations issued by process


Wr Rate B/s

Write Data Rate by process in Bytes/s


pref_02

Always on top

Keep main window of TaskInfo over all windows of all other programs or don’t.


pref_12

Enable processes sorting

Enable sorting of information in process pane by any column. You can click on column headers in process pane to sort processes by process name, CPU usage and so on. Clicking on the same column header inverts sorting.


pref_13

Disable pseudo processes sorting

If enabled, pseudo processes (like Idle, DPC and Interrupts) will not be sorted. They will stay always at the top of process pane.


Private_KB

Amount of Virtual Memory used privately by the process. It usually corresponds to heap allocations.


Company

Process Image Company


Description

Process Image Description


proc_info

Process information includes:

· Threads number and their priority

· CPU and memory usage

· Scheduling rate

· Main executable file path

· Files and DLLs in use

· Command line

· Environment variables

For more details please read description of process pane.


ProcessID

Win32 Process ID


Pseudo processes

Show main window

Process pane in the main window of TaskInfo shows a list of processes that are currently running. Not only real processes are listed; some working threads are not owned by any real process and correspond to pseudo-processes:

Interrupts Time | Exists in Windows NT/2000/XP only. It is a placeholder for hardware interrupts statistics. It also has pseudo threads for each CPU in system. You can see how much time CPUs "live" in interrupts in "CPU" and "CPU %" columns and how many interrupts per second are processed by each CPU in "Sw/s" field (see also description of process pane). You may be surprised how much time your system spends for processing hardware interrupts during active work with IDE disk in non UDMA mode! Note that executing of threads is blocked during processing of interrupts.
DPC Time | Exists in Windows NT/2000/XP only. It is a placeholder for deferred procedure calls (DPC) statistics. It also has pseudo threads for each CPU in System. You can see how much time CPUs "live" in DPC in "CPU" and "CPU %" columns and how many DPCs per second are processed by each CPU in "Sw/s" field. DPC is a next step in processing after interrupt. It has lower "hardware" priority than interrupt state and not blocks interrupts processing. Note that DPC blocks execution of threads on the same CPU.
Idle | All idle CPU time (percent of CPU time not used by any process) is collected here. In Windows NT/2000/XP Idle process contains one thread for each CPU in the system. So if you have two CPUs you will have two ‘Idle’ threads.
VMs | DOS virtual machines, exist in Windows 9x (95/98/ME) only. TaskInfo shows title of DOS VM window as process name. When you start a console application you have three components running: the console application itself, DOS virtual machine and ‘winoldap.exe’ that really performs console input/output and some other operations. CPU usage of this is not visible to the Windows 95 monitor utility.
NTKern | Exists in Windows9x (95/98/ME) only. NT WDM drivers support VxD. This pseudo process contains threads that are not owned by any Windows process, for example, NT kernel emulator worker threads. CPU usage of these threads is not visible to the Windows 9x "Wintop.exe" utility from ‘Kernel Toys’ package or to the Windows 9x monitor utility. For example, if you use a soundcard with WDM driver (kernel WDM audio mixer) and software MIDI synthesizer, you can see its CPU usage in NTKern pseudo process.
VxD Unknown | Exists in Windows 9x (95/98/ME) only. It is a holder for all threads created by some badly behaving VxDs. So that it is not possible to determine owner of this thread. For example, one of such VxD is a part of "GoBack" application from "Wild Files/Adaptec".

Note: you can’t terminate pseudo processes nor change their priority.


proc_tree

Process tree

You can see processes executed by Windows explorer below its item and containing an underline character at the left of their name. Microsoft Word was executed by the FAR manager. The last process shown on the image was not executed by Windows Explorer (it does not have underline character).


Up Time

Time elapsed from moment when process/thread was launched.


User ID

Process Owner Domain and User Name


Version

Process Image Version


procenv_sample

Sample view of process info pane: Env


process_sample

Sample view of process pane


procfiles_sample

Sample view of process info pane: Files


prochandles_sample

Sample view of process info pane: Handles


procinfo_sample

Sample view of process info pane


proconn_sample

Sample view of process info pane: Connections


procver_sample

Sample view of process info pane: Image Info


pseudo_01

VMs

DOS virtual machines, exist in Windows 9x (95/98/ME) only. TaskInfo shows title of DOS VM window as process name. When you start a console application you have three components running: the console application itself, DOS virtual machine and ‘winoldap.exe’ that really performs console input/output and some other operations. CPU usage of this is not visible to the Windows 95 monitor utility.


pseudo_02

Idle

All idle CPU time (percent of CPU time not used by any process) is collected here. In Windows NT/2000/XP Idle process contains one thread for each CPU in the system. So if you have two CPUs you will have two ‘Idle’ threads.


pseudo_03

NTKern

Exists in Windows9x (95/98/ME) only. NT WDM drivers support VxD. This pseudo process contains threads that are not owned by any Windows process, for example, NT kernel emulator worker threads. CPU usage of these threads is not visible to the Windows 9x "Wintop.exe" utility from ‘Kernel Toys’ package or to the Windows 9x monitor utility. For example, if you use a soundcard with WDM driver (kernel WDM audio mixer) and software MIDI synthesizer, you can see its CPU usage in NTKern pseudo process.


pseudo_04

Interrupts Time

Exists in Windows NT/2000/XP only. It is a placeholder for hardware interrupts statistics. It also has pseudo threads for each CPU in system. You can see how much time CPUs "live" in interrupts in "CPU" and "CPU %" columns and how many interrupts per second are processed by each CPU in "Sw/s" field (see also description of process pane). You may be surprised how much time your system spends for processing hardware interrupts during active work with IDE disk in non UDMA mode! Note that executing of threads is blocked during processing of interrupts.


pseudo_05

DPC Time

Exists in Windows NT/2000/XP only. It is a placeholder for deferred procedure calls (DPC) statistics. It also has pseudo threads for each CPU in System. You can see how much time CPUs "live" in DPC in "CPU" and "CPU %" columns and how many DPCs per second are processed by each CPU in "Sw/s" field. DPC is a next step in processing after interrupt. It has lower "hardware" priority than interrupt state and not blocks interrupts processing. Note that DPC blocks execution of threads on the same CPU.


pseudo_06

VxD Unknown

Exists in Windows 9x (95/98/ME) only. It is a holder for all threads created by some badly behaving VxDs. So that it is not possible to determine owner of this thread. For example, one of such VxD is a part of "GoBack" application from "Wild Files/Adaptec".


ras_01

Connection name

Name of current connection (typically it equals to name of dial-up connection if it was established via modem).


ras_02

Device type

The type of connection device (modem for example).


ras_03

Device name

The name of device driver of current connection.


ras_04

Connection status

The current state of connection.


ras_05

IP address

The local IP address of current connection.


ras_06

Server IP address

The server IP address of current connection.


ras_07

Bytes transmitted

The number of data (in bytes) transmitted total through current connection.


ras_08

Bytes received

The number of data (in bytes) received total through current connection.


ras_09

Frames transmitted

The number of data frames transmitted total through current connection.


ras_10

Frames received

The number of data frames received total through current connection.


ras_11

CRC errors

The number of cyclic redundancy check (CRC) errors on current connection. CRC errors occur when the frame received contains erroneous data.


ras_12

Timeouts

The number of timeout errors on current connection. Timeout errors occur when an expected is not received in time.


ras_13

Alignment errors

The number of alignment errors on current connection. Alignment errors occur when a byte received is different from the byte expected.


ras_14

Hardware overrun errors

The total number of serial overrun errors for current connection. Serial overrun errors occur when the hardware cannot handle the rate at which data is received.


ras_15

Framing errors

The number of framing errors on current connection.


ras_16

Buffer overrun errors

The number of buffer overrun errors on current connection. Buffer overrun errors occur when the software cannot handle the rate at which data is received.


ras_17

Compression % transmitted

The compression ratio for the data being transmitted on current connection.


ras_18

Compression % received

The compression ratio for the data being received on current connection.


ras_19

Connection speed bps

The speed of current connection in bits per second.


ras_20

Connection time

The amount of time that current connection has been connected.


ras_sample

Sample view of RAS info pane


Sample view of process info pane: Thread


si_00

CPU Clock MHz

Actual (measured in real time) frequency of CPU clock in Megahertz. You can see more detailed information about processor in the CPU pane.


si_01

% CPU

Percent of CPU time used by all processes and threads running in the system (total CPU usage).


si_02

Processes

Total number of processes running in the system.


si_03

Thread sw/s

Total amount of switches in a second between threads running in the system.


si_04

Total Ph KB

Total amount of physical memory (in kilobytes) available for the system.


si_05

Free Ph KB

Total amount of free physical memory (in kilobytes) that is not owned by any process.


si_06

File Cache KB

Total amount of memory used for file cache (in kilobytes).


si_07

Free Virt KB

Maximal amount of virtual memory (in kilobytes) that can be committed by system and processes.


si_08

Max Swap KB

Maximum size of swap file (in kilobytes) available for virtual memory.


si_09

Page Faults/s

Amount of virtual memory page faults in a second. This value is the rate of page faults occurring in the threads executing in the system. A page fault occurs when a thread refers to a virtual memory page that is not in its working set in physical memory. This will not cause the page to be fetched from disk if it is in use by another process with which the page is shared; or it is accessed for the first time after allocation (this always causes page fault – it is normal).


si_10

Page Ins KB/s

Amount of virtual memory (in kilobytes) swapped in physical memory from swap file, executable files and memory-mapped files on disk (in a second).


si_11

Free GDI%

Amount of free GDI resources (in percents) available for processes in the system. Available in Windows 9x/ME only.


si_12

FAT Read KB/s

Read speed (in kilobytes/second) from the disk filesystem. With this value you can estimate average read speed of your hard disk.

Note: read speed from CDROM may be not available under Windows 95/98/ME and not included in this value.


si_13

FAT Reads/s

Amount of read operations from the disk filesystem in a second.


si_14

DUp Speed

Dial-up (modem) connection speed (in bits per second). Available only under Windows 9x (95/98/ME) and Windows 2000/XP (not available under Windows NT).

Note: after modem is disconnected, this value typically is equal to serial port speed (for example 9600). This value may be equal to port speed permanently depending on modem configuration.


si_15

DUp Read B/s

Dial-up (modem) actual speed of data being received (in bytes/second). Available only under Windows 9x (95/98/ME) and Windows 2000/XP (not available under Windows NT).


si_16

% Idle

Percent of CPU time unused by any process.


si_17

Threads

Total amount of threads running in the system. It may be greater than sum of all threads in all processes. In Windows 9x (95/98/ME) there are some threads belonging to VxDs only (NTKern for example).


si_18

HW Ints/s

Amount of hardware interrupts in a second. For example, this value increases significantly during large hard disk read/write operations.

Tip: to increase speed of disk operations and decrease CPU load, turn on DMA mode on your hard disk drive if it supports this mode.


si_19

Unlocked Ph KB

Amount of not-locked physical memory (in kilobytes) that may be swapped between swap file on disk and physical memory. Available under Windows 9x (95/98/ME) only.


si_20

Locked Ph KB

Amount of locked physical memory (in kilobytes) that may not be swapped to swap file on disk. Available under Window 9x only.


si_21

Other Locked KB

Amount of physical memory (in kilobytes) locked by VxD drivers and Win16 processes. Available under Windows 9x (95/98/ME) only. In some sense it is the minimal size of system core in memory.


si_22

Committed KB

Amount of virtual memory committed by the system and all applications. In Windows NT/2000/XP it is usually close to "Swap in use KB".


si_23

Swap in Use KB

Amount of swap file on disk (in kilobytes) used for virtual memory.


si_24

Page Discards/s

Amount of read-only pages killed in memory without swapping them to disk (in a second). Available under Windows 9x (95/98/ME) only.


si_25

Page Outs KB/s

Amount of virtual memory (in kilobytes) swapped from physical memory to swap file and memory-mapped files on disk (in a second).


si_26

Free USER%

Amount of free USER resources (in percents) available for processes in the system. Available in Windows 9x/ME only.


si_27

FAT Write KB/s

Write speed (in kilobytes/second) on the disk filesystem. With this value you can estimate average write speed of your hard disk.


si_28

FAT Writes/s

Amount of read operations on the disk filesystem in a second.


si_29

DUp Write B/s

Dial-up (modem) actual speed of data being transmitted (in bytes/second). Available only under Windows 9x (95/98/ME) and Windows 2000/XP (not available under Windows NT).


si_30

CPUs number

Number of central processors. Multiple processors are available under Windows NT/2000/XP only. Windows 95/98/ME do not support multiple processors, so you will always see one CPU under these systems.


si_31

Queue for CPU

Number of threads ready to execution and waiting for CPU. If you have more than 2-3 threads all the time in this queue – your system seems to be overloaded!


si_32

Client Read KB/s

Read data rate (in kilobytes per second) from Microsoft network (Microsoft client).


si_33

Client Write KB/s

Write data rate (in kilobytes per second) to Microsoft network (Microsoft client).


si_37

Srv Transmit KB/s

Read data rate (in kilobytes per second) from shared places on your computer by other computers.


si_38

Srv Receive KB/s

Write data rate (in kilobytes per second) to shared places on your computer by other computers.


si_39

VPN Read B/s

Virtual private network (VPN) actual speed of data being received (in bytes/second). Available only under Windows 9x (95/98/ME) and Windows 2000/XP (not available under Windows NT).


si_40

VPN Write B/s

Virtual private network (VPN) actual speed of data being transmitted (in bytes/second). Available only under Windows 9x (95/98/ME) and Windows 2000/XP (not available under Windows NT).


si_41

VPN Speed

Virtual private network (VPN) connection speed (in bits per second). Available only under Windows 9x (95/98/ME) and Windows 2000/XP (not available under Windows NT).


si_42

% Idle Pri Threads

Total CPU usage (in percents) of all threads with Idle priority.


si_43

GDI objects

Total amount of GDI objects opened in the system. Available under Windows 2000/XP only.


si_44

USER objects

Total amount of USER objects opened in the system. Available under Windows 2000/XP only.


sys_info

System information includes:

· OS detailed information

· CPU detailed information

· CPU and memory usage

· Number of processes and threads

· Data rates on disk, network, dialup I/O

· All open files

· All drivers in use

· and other

For more information please read description of system info pane.


sysinfo_sample

Sample view of system info pane